@echo off

title FixerApp.IR

for /f %%x in ('powershell -command "(Get-Date).ToUniversalTime().ToString('yyyyMMddHHmmss')"') do set "timestamp=%%x"

set "hosts_file=%windir%\System32\drivers\etc\hosts"
set "backup_file=%windir%\System32\drivers\etc\hosts_backup_%timestamp%.txt"
set "primary_dns=8.8.8.8"
set "secondary_dns=8.8.4.4"

NET FILE 1>NUL 2>NUL
IF ERRORLEVEL 1 (
	color 0E
	ECHO ====================================================
    ECHO You must run this App as Administrator!
	ECHO Right click on app and click Run as Administrator.
	ECHO You can open and see source codes with Notepad.
	ECHO ====================================================
    PAUSE
    EXIT /B 1
)

copy "%hosts_file%" "%backup_file%" /Y > nul
echo. > "%hosts_file%"

netsh interface ipv4 set dns "Local Area Connection" static %primary_dns% primary
netsh interface ipv4 add dns "Local Area Connection" %secondary_dns% index=2
ipconfig /flushdns

echo. >> "%hosts_file%"
echo ## Start Fix Connect ## >> "%hosts_file%"
echo 78.157.42.100 status.fivem.net >> "%hosts_file%"
echo 78.157.42.100 synapse.fivem.net >> "%hosts_file%"
echo 78.157.42.100 registry-internal.fivem.net >> "%hosts_file%"
echo 50.7.87.85 servers-frontend.fivem.net >> "%hosts_file%"
echo 50.7.87.85 content.cfx.re >> "%hosts_file%"
echo 50.7.87.85 status.cfx.re >> "%hosts_file%"
echo 50.7.87.85 users.cfx.re >> "%hosts_file%"
echo 50.7.87.85 metrics.fivem.net >> "%hosts_file%"
echo 50.7.87.85 runtime.fivem.net >> "%hosts_file%"
echo 50.7.87.85 sentry.fivem.net >> "%hosts_file%"
echo 50.7.87.85 lambda.fivem.net >> "%hosts_file%"
echo 50.7.87.85 keymaster.fivem.net >> "%hosts_file%"
echo 50.7.87.85 cnl-hb-live.fivem.net >> "%hosts_file%"
echo 50.7.87.85 policy-live.fivem.net >> "%hosts_file%"
echo 50.7.87.85 changelogs-live.fivem.net >> "%hosts_file%"
echo 50.7.87.85 fivem.net >> "%hosts_file%"
echo 78.157.42.100 status.redm.net >> "%hosts_file%"
echo 78.157.42.100 synapse.redm.net >> "%hosts_file%"
echo 78.157.42.100 registry-internal.redm.net >> "%hosts_file%"
echo 50.7.87.85 servers-frontend.redm.net >> "%hosts_file%"
echo 50.7.87.85 content.cfx.re >> "%hosts_file%"
echo 50.7.87.85 status.cfx.re >> "%hosts_file%"
echo 50.7.87.85 users.cfx.re >> "%hosts_file%"
echo 50.7.87.85 metrics.redm.net >> "%hosts_file%"
echo 50.7.87.85 runtime.redm.net >> "%hosts_file%"
echo 50.7.87.85 sentry.redm.net >> "%hosts_file%"
echo 50.7.87.85 lambda.redm.net >> "%hosts_file%"
echo 50.7.87.85 keymaster.redm.net >> "%hosts_file%"
echo 50.7.87.85 cnl-hb-live.redm.net >> "%hosts_file%"
echo 50.7.87.85 policy-live.redm.net >> "%hosts_file%"
echo 50.7.87.85 changelogs-live.redm.net >> "%hosts_file%"
echo 50.7.87.85 redm.net >> "%hosts_file%"
echo ## End Fix Connect ##  >> "%hosts_file%"
echo. >> "%hosts_file%"

color 0A
ECHO ====================================================
ECHO Installed!
ECHO You can open and see source codes with Notepad.
ECHO ====================================================
PAUSE
EXIT /B 0